Bug 218125 - Traceback: info.product KeyError on hts plan
Summary: Traceback: info.product KeyError on hts plan
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness)   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-01 21:51 UTC by Greg Nichols
Modified: 2007-04-18 17:54 UTC (History)
1 user (show)

Fixed In Version: R14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 22:24:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg Nichols 2006-12-01 21:51:14 UTC
Description of problem:

Installed new version of hts: hts-5.0-13.noarch

Still getting the traceback.

[root@dist01 ~]# hts plan
loading configuration /var/hts/config.xml
planning device-independant tests...
planning device tests...
Traceback (most recent call last):
 File "/usr/bin/hts", line 106, in ?
   success = hts.do(args)
 File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 61, in
do
   return self.doPlan()
 File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 165,
in doPlan
   test.setPlanDeviceLabel(dev['info.product'])
KeyError: 'info.product'
----------------------------------------------------------------------------


Version-Release number of selected component (if applicable):

HTS 5.0 R13

Comment 1 Greg Nichols 2006-12-01 21:55:27 UTC
Fixed in R14.

Comment 2 Bastien Nocera 2006-12-04 10:13:43 UTC
Greg, could you do a build, and make it available?


Note You need to log in before you can comment on or make changes to this bug.